import React from 'react';
import { View, Text, StyleSheet } from 'react-native';
import Icon from 'react-native-vector-icons/FontAwesome';

export function Profile(): JSX.Element {
  return (
    <View style={styles.container}>
      <View>
        <Text style={styles.textoCuenta}>Hola, Jose </Text>
        <Text>Última Sesión: 8 dic 2022 /10:17 </Text>
      </View>
      <View style={styles.containerIcono}>
        <Icon style={styles.icono} name="user" color="black" />
      </View>
    </View>
  );
}

const styles = StyleSheet.create({
  textoCuenta: {
    fontWeight: 'bold',
    fontSize: 26,
  },
  container: {
    padding: 20,
    flex: 1,
    flexDirection: 'row',
    justifyContent: 'space-between',
  },
  icono: {
    fontSize: 30,
    color: '#422d4e',
  },
  containerIcono: {
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center',
  },
});
