"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StackComponent = StackComponent;
exports.TabNavigation = void 0;
var _react = _interopRequireDefault(require("react"));
var _bottomTabs = require("@react-navigation/bottom-tabs");
var _reactNative = require("react-native");
var _native = require("@react-navigation/native");
var _stack = require("@react-navigation/stack");
var _InformacionSabiasQue = require("./InformacionSabiasQue");
var _ValorPagar = require("./ValorPagar");
var _VistaPreviaValoPagar = require("./VistaPreviaValoPagar");
var _FontAwesome = _interopRequireDefault(require("react-native-vector-icons/FontAwesome"));
var _ConfirmarTransaccion = require("./ConfirmarTransaccion");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function StackComponent(_ref) {
  let {
    componentes
  } = _ref;
  const Stack = (0, _stack.createStackNavigator)();
  return /*#__PURE__*/_react.default.createElement(_native.NavigationContainer, null, /*#__PURE__*/_react.default.createElement(Stack.Navigator, {
    initialRouteName: "Tabs",
    screenOptions: {
      headerShown: false
    }
  }, /*#__PURE__*/_react.default.createElement(Stack.Screen, {
    name: "Prueba"
  }, () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "SEE"))), /*#__PURE__*/_react.default.createElement(Stack.Screen, {
    name: "Tabs"
  }, () => {
    return /*#__PURE__*/_react.default.createElement(TabNavigation, {
      componentes: componentes
    });
  }), /*#__PURE__*/_react.default.createElement(Stack.Screen, {
    name: "InformacionCard"
  }, () => {
    return /*#__PURE__*/_react.default.createElement(_InformacionSabiasQue.InformacionSabiasQue, null);
  }), /*#__PURE__*/_react.default.createElement(Stack.Screen, {
    name: "PayRecibe"
  }, () => /*#__PURE__*/_react.default.createElement(_ValorPagar.ValorPagar, null)), /*#__PURE__*/_react.default.createElement(Stack.Screen, {
    name: "Confirmacion"
  }, () => /*#__PURE__*/_react.default.createElement(_VistaPreviaValoPagar.VistaPreviaValoPagar, null)), /*#__PURE__*/_react.default.createElement(Stack.Screen, {
    name: "ConfirmarTransaccion"
  }, () => /*#__PURE__*/_react.default.createElement(_ConfirmarTransaccion.ConfirmarTransaccion, null))));
}
const TabNavigation = _ref2 => {
  let {
    componentes
  } = _ref2;
  const Tab = (0, _bottomTabs.createBottomTabNavigator)();
  // const Icono = useCallback(({ color, size }: icono) => {
  // return <Icon name="home" color={color} size={size} />;
  //}, []);

  return /*#__PURE__*/_react.default.createElement(Tab.Navigator, {
    screenOptions: {
      headerShown: false
    }
  }, componentes && componentes.map(item => /*#__PURE__*/_react.default.createElement(Tab.Screen, {
    key: item.name,
    name: item.name,
    options: {
      tabBarLabel: item.icono.label,
      tabBarIcon: _ref3 => {
        let {
          color,
          size
        } = _ref3;
        return /*#__PURE__*/_react.default.createElement(_FontAwesome.default, {
          name: item.icono.name,
          color: color,
          size: size
        });
      }
    }
  }, () => /*#__PURE__*/_react.default.createElement(item.component, item.prop))));
};
exports.TabNavigation = TabNavigation;
//# sourceMappingURL=TabNavigation.js.map