import React from 'react';
import { createBottomTabNavigator } from '@react-navigation/bottom-tabs';
import { Text } from 'react-native';
import { NavigationContainer } from '@react-navigation/native';
import { createStackNavigator } from '@react-navigation/stack';
import { InformacionSabiasQue } from './InformacionSabiasQue';
import { ValorPagar } from './ValorPagar';
import { VistaPreviaValoPagar } from './VistaPreviaValoPagar';
import Icon from 'react-native-vector-icons/FontAwesome';
import { ConfirmarTransaccion } from './ConfirmarTransaccion';
export function StackComponent(_ref) {
  let {
    componentes
  } = _ref;
  const Stack = createStackNavigator();
  return /*#__PURE__*/React.createElement(NavigationContainer, null, /*#__PURE__*/React.createElement(Stack.Navigator, {
    initialRouteName: "Tabs",
    screenOptions: {
      headerShown: false
    }
  }, /*#__PURE__*/React.createElement(Stack.Screen, {
    name: "Prueba"
  }, () => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Text, null, "SEE"))), /*#__PURE__*/React.createElement(Stack.Screen, {
    name: "Tabs"
  }, () => {
    return /*#__PURE__*/React.createElement(TabNavigation, {
      componentes: componentes
    });
  }), /*#__PURE__*/React.createElement(Stack.Screen, {
    name: "InformacionCard"
  }, () => {
    return /*#__PURE__*/React.createElement(InformacionSabiasQue, null);
  }), /*#__PURE__*/React.createElement(Stack.Screen, {
    name: "PayRecibe"
  }, () => /*#__PURE__*/React.createElement(ValorPagar, null)), /*#__PURE__*/React.createElement(Stack.Screen, {
    name: "Confirmacion"
  }, () => /*#__PURE__*/React.createElement(VistaPreviaValoPagar, null)), /*#__PURE__*/React.createElement(Stack.Screen, {
    name: "ConfirmarTransaccion"
  }, () => /*#__PURE__*/React.createElement(ConfirmarTransaccion, null))));
}
export const TabNavigation = _ref2 => {
  let {
    componentes
  } = _ref2;
  const Tab = createBottomTabNavigator();
  // const Icono = useCallback(({ color, size }: icono) => {
  // return <Icon name="home" color={color} size={size} />;
  //}, []);

  return /*#__PURE__*/React.createElement(Tab.Navigator, {
    screenOptions: {
      headerShown: false
    }
  }, componentes && componentes.map(item => /*#__PURE__*/React.createElement(Tab.Screen, {
    key: item.name,
    name: item.name,
    options: {
      tabBarLabel: item.icono.label,
      tabBarIcon: _ref3 => {
        let {
          color,
          size
        } = _ref3;
        return /*#__PURE__*/React.createElement(Icon, {
          name: item.icono.name,
          color: color,
          size: size
        });
      }
    }
  }, () => /*#__PURE__*/React.createElement(item.component, item.prop))));
};
//# sourceMappingURL=TabNavigation.js.map