import { View, Text, StyleSheet } from 'react-native';
import React from 'react';
import { Card, Provider as ProviderSet } from 'react-native-paper';
type Props = {
  amount: number;
};

export const AmountView = ({ amount }: Props) => {
  return (
    <ProviderSet>
      <Card style={styles.card}>
        <Card.Content>
          <View style={styles.container}>
            <Text>Amount: {amount}</Text>
          </View>
          <View style={styles.container}>
            <Text>Amount: {amount}</Text>
          </View>
        </Card.Content>
      </Card>
    </ProviderSet>
  );
};
const styles = StyleSheet.create({
  card: {
    margin: 20,
  },
  container: {
    flex: 3,
    backgroundColor: 'white',
    width: '100%',
    marginVertical: 10,
  },
});
export default AmountView;
